%%
%%% risee-e.cls (LaTeX2e)
%% for the Research Reports on Information Science 
%%  and Electrical Engineering of Kyushu University
%%  by Motoaki Sato (ULS and Company), 2010. 
%%     E-mail: teppei@uls.co.jp, http://www.uls.co.jp/
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{risee-e}
%%[2010/03/02 v1.00-RC1 for risee-e]
%% cameraready option
%% \advance \oddsidemargin -1in, \advance \topmargin -1in
  [2010/05/10 v1.00-RC2 for risee-e]

\def\risee@warning{\ClassWarningNoLine{risee-e}}
\def\riseeline@warning{\ClassWarning{risee-e}}
\@ifundefined{@needsPformat}{\let\inhibitglue\relax}{}

\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}

\newif\if@cameraready \@camerareadyfalse
\DeclareOption{cameraready}{\@camerareadytrue}

\newdimen\@JQ
 \@JQ=0.7392507pt
\newdimen\@Q
 \@Q=0.71144pt
\newdimen\@EM
 \@EM=.03125em

\newcommand\@ptsize{}
\newif\if@restonecol

\newif\if@enablejfam \@enablejfamtrue
\newif\if@mathrmmc \@mathrmmcfalse

\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}

\DeclareOption{disablejfam}{\@enablejfamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
%\DeclareOption{titlepage}{\@titlepagetrue}
%\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{% \input{fleqn.clo}
 \risee@warning{fleqn is incorporated into this class file}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\ExecuteOptions{a4paper,10pt,twoside,twocolumn,final}
\ProcessOptions

%% for platex
\@ifundefined{@needsPformat}{}{%
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] jis %  7Q
  <6>     sfixed * [5.9141] jis %  8Q
  <7>     sfixed * [7.3926] jis % 10Q
  <8>     sfixed * [8.1318] jis % 11Q
  <9>     sfixed * [8.8711] jis % 12Q
  <10>    sfixed * [9.6104] jis % 13Q
  <10.95> sfixed * [11.089] jis % 15Q
  <12>    sfixed * [13.307] jis % 18Q
  <14.4>  sfixed * [14.785] jis % 20Q
  <17.28> sfixed * [17.742] jis % 24Q
  <20.74> sfixed * [20.699] jis % 28Q
  <24.88> sfixed * [23.656] jis % 32Q
  <->                       jis % 
}{}
\DeclareFontShape{JY1}{mc}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
}

\@ifundefined{@needsPformat}{}{%
 \DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JY1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JY1}{gt}{m}{sc}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JY1}{mc}{bx}{sc}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JY1}{gt}{bx}{sc}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JY1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JY1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JY1}{mc}{bx}{sl}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JY1}{gt}{bx}{sl}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JT1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JT1}{gt}{m}{sc}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{bx}{sc}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JT1}{gt}{bx}{sc}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
 \DeclareFontShape{JT1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
 \DeclareFontShape{JT1}{mc}{bx}{sl}{<->ssub*mc/bx/n}{}
 \DeclareFontShape{JT1}{gt}{bx}{sl}{<->ssub*gt/m/n}{}
}

\DeclareFontShape{OT1}{cmr}{m}{n}%
     {%
      <-6>cmr5%
      <6-7>cmr6%
      <7-8>cmr7%
      <8-9>cmr8%
      <9-10>cmr9%
      <10-12>cmr10%
      <12-17>cmr12%
      <17->cmr17%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sl}%
     {%
      <-9>cmsl8%
      <9-10>cmsl9%
      <10-12>cmsl10%
      <12->cmsl12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{it}%
     {%
      <-8>cmti7%
      <8-9>cmti8%
      <9-10>cmti9%
      <10-12>cmti10%
      <12->cmti12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sc}%
     {%
      <->cmcsc10%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{ui}
     {%
      <->cmu10%
      }{}
\DeclareFontShape{OT1}{cmr}{b}{n}
     {%
      <->cmb10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{n}
     {%
      <-6>cmbx5%
      <6-7>cmbx6%
      <7-8>cmbx7%
      <8-9>cmbx8%
      <9-10>cmbx9%
      <10-12>cmbx10%
      <12->cmbx12%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}
     {%
      <->cmbxsl10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{it}
     {%
      <->cmbxti10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{ui}
     {%
      <->sub*cmr/m/ui
      }{}

% \DeclareFontFamily{OML}{cmm}{\skewchar\font127 }
\DeclareFontShape{OML}{cmm}{m}{it}
    { <5> <6> <7> <8> <9> gen * cmmi
      <10><10.95>cmmi10
%     <12><14.4><17.28><20.74><24.88>cmmi12
      <12->cmmi12
      <->cmmi10
      }{}
\DeclareFontShape{OML}{cmm}{b}{it}{%
      <5> <6> <7> <8> <9> gen * cmmib
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmmib10
      <10-> cmmib10
      <->cmmib10
      }{}
\DeclareFontShape{OML}{cmm}{bx}{it}
   {<-> ssub * cmm/b/it}{}

% \DeclareFontFamily{OMS}{cmsy}{\skewchar\font48 }
\DeclareFontShape{OMS}{cmsy}{m}{n}{%
      <5> <6> <7> <8> <9> <10> gen * cmsy
%     <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmsy10
      <10.95-> cmsy10
      <-> cmsy10
      }{}
\DeclareFontShape{OMS}{cmsy}{b}{n}{%
      <5> <6> <7> <8> <9> gen * cmbsy
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>cmbsy10
      <10-> cmbsy10
      <-> cmbsy10
      }{}

%% from /usr/local/share/texmf/tex/latex/base/ulasy.fd
\DeclareFontFamily{U}{lasy}{}
\DeclareFontShape{U}{lasy}{m}{n}{ <5> <6> <7> <8> <9> gen * lasy
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasy10
      <-> lasy10}{}
\DeclareFontShape{U}{lasy}{b}{n}{ <-10> ssub * lasy/m/n
     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasyb10
      <-> lasyb10}{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsa.fd
\DeclareFontFamily{U}{msa}{}
\DeclareFontShape{U}{msa}{m}{n}{
  <5> <6> <7> <8> <9> gen * msam
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msam10
  <-> msam10
  }{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsb.fd
\DeclareFontFamily{U}{msb}{}
\DeclareFontShape{U}{msb}{m}{n}{
  <5> <6> <7> <8> <9> gen * msbm
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msbm10
  <-> msbm10
  }{}

\renewcommand\normalsize{\@setfontsize\normalsize\@xpt{18.5\@Q}%
 \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
 \abovedisplayshortskip \z@ \@plus3\p@
 \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
 \belowdisplayskip \abovedisplayskip
 \let\@listi\@listI}

%\normalsize

\newcommand\small{\@setfontsize\small\@ixpt{18.34\@Q}%
 \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
 \abovedisplayshortskip \z@ \@plus2\p@
 \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
 \def\@listi{\leftmargin\leftmargini
             \topsep 4\p@ \@plus2\p@ \@minus2\p@
             \parsep 2\p@ \@plus\p@ \@minus\p@
             \itemsep \parsep}%
 \belowdisplayskip \abovedisplayskip
}

\small
\@ifundefined{Cvs}{\newdimen\Cvs}{}
\Cvs\baselineskip

\newcommand\footnotesize{\@setfontsize\footnotesize\@viiipt{16\@Q}%
 \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
 \abovedisplayshortskip \z@ \@plus\p@
 \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
 \def\@listi{\leftmargin\leftmargini
             \topsep 3\p@ \@plus\p@ \@minus\p@
             \parsep 2\p@ \@plus\p@ \@minus\p@
             \itemsep \parsep}%
 \belowdisplayskip \abovedisplayskip
}

\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{20\@Q}}% 23
\newcommand\Large{\@setfontsize\Large\@xivpt{24\@Q}}% 27
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

\parindent1em

\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}

\setlength\headheight{10.25mm}
\setlength\headsep   {7mm}
\setlength\topskip   {10\p@}
\setlength\footskip  {\z@}

\setlength\maxdepth{.5\topskip}

\textwidth165mm
%\@settopoint\textwidth
\textheight51\baselineskip
\advance \textheight \topskip
\advance \textheight .15mm
%% risee-j.cls = 675.96393pt / risee-e.cls = 675.86565pt

\setlength\marginparsep {10\p@}
\setlength\marginparpush{5\p@}

\topmargin\paperheight
\advance \topmargin -\textheight
\advance \topmargin -2\headheight
\advance \topmargin -2\headsep
\advance \topmargin -2\footskip
\divide \topmargin \tw@
\if@cameraready\else
\advance \topmargin -1in
\fi
%\@settopoint\topmargin
\oddsidemargin\paperwidth
\advance \oddsidemargin -\textwidth
\divide \oddsidemargin \tw@
\if@cameraready\else
\advance \oddsidemargin -1in
\fi
%\@settopoint\oddsidemargin
\evensidemargin\oddsidemargin
%\@settopoint\evensidemargin

\setlength\marginparwidth   {.6\@tempdima}
\addtolength\marginparwidth {-\marginparsep}
\addtolength\marginparwidth {-0.4in}

\footnotesep2.8mm % 16H
\skip\footins .75\Cvs \@plus .25\Cvs \@minus .25\Cvs
\floatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\Cvs \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@

\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}

\def\@listi{\leftmargin\leftmargini
            \parsep 4\p@ \@plus2\p@ \@minus\p@
            \topsep 8\p@ \@plus2\p@ \@minus4\p@
            \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    4\p@ \@plus2\p@ \@minus\p@
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\setlength\columnsep{8mm}
\setlength\columnseprule{0\p@}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}

\parskip\z@

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

\setcounter{topnumber}{5}% 2
\setcounter{bottomnumber}{4}% 1
\setcounter{totalnumber}{9}% 3
\setcounter{dbltopnumber}{5}% 2
\renewcommand{\topfraction}{.95}% .7
\renewcommand{\bottomfraction}{.95}% .3
\renewcommand{\textfraction}{.05}% .2
\renewcommand{\floatpagefraction}{.05}% .5
\renewcommand{\dbltopfraction}{.95}% .7
\renewcommand{\dblfloatpagefraction}{.05}% .5

\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\def\ps@empty{%\let\ps@jpl@in\ps@plain
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenhead\@oddhead
 \let\@evenfoot\@oddfoot
 \let\@mkboth\@gobbletwo
 %\let\chaptermark\@gobble
 %\let\sectionmark\@gobble
}

\def\head@font{\normalfont\footnotesize}
\def\nombre@font{\normalfont\footnotesize}

\def\Year#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Year{20xx}%
  \gdef\head@heisei{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \xdef\@Year{20xx}%
   \gdef\head@heisei{xx}%
  \else
   \xdef\@Year{\@tempb}%
   \@tempcnta=#1\relax
   \advance \@tempcnta -1988\relax
   \xdef\head@heisei{\the\@tempcnta}%
  \fi
 \fi
}
\def\@Year{201x}
\def\head@heisei{xx}

\def\Vol#1{% Vol.15 = Year 2010
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Vol{xx}
  %\gdef\@Year{20xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Vol{xx}%
  \else
   %\@tempcnta=#1\relax
   %\advance \@tempcnta 1995\relax
   %\xdef\@Year{\the\@tempcnta}%
   \gdef\@Vol{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Vol{xx}%

\def\No#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@No{xx}
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@No{xx}%
  \else
   \gdef\@No{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@No{xx}%

\def\Month#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Month{xxx}
 \else
  \gdef\hold@Month{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\hold@Month\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Month{xxx}%
  \else
   \gdef\@Month{\ifcase\hold@Month xxx\or
    January\or February\or March\or April\or
    May\or June\or July\or August\or September\or October\or
    November\or December\else\@ctrerr\fi\relax}\fi
 \fi
}
\def\@Month{}
\def\hold@Month{xxx}
\Month{x}

\def\head@underline{%
 \smash{\hbox to \z@{\hbox to \textwidth{\hss\hbox to 169.5mm{%
  \leaders\hrule height-1.5mm depth1.62mm\hfil}\hss}\hss}}}

%% first page
\def\ps@RISEEJ{%\let\ps@jpl@in\ps@headnombre
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
 \def\@oddhead{\@Ltop\head@underline
  \J@headinfo\hfil\E@headinfo\@Rtop}%
 \let\@evenhead\@oddhead
 \let\@mkboth\markboth
}

\def\risee@shortstack{\@ifnextchar[% ]
 \@risee@shortstack{\@risee@shortstack[c]}}
\def\@risee@shortstack[#1]{%
  \leavevmode
  \vbox\bgroup
    %\baselineskip-\p@\lineskip 3\p@
    \let\mb@l\hss\let\mb@r\hss
    \expandafter\let\csname mb@#1\endcsname\relax
    \let\\\@stackcr
    \@ishortstack}

\@ifundefined{@needsPformat}{\let\J@headinfo\relax}{%
 \def\J@headinfo{%
  \footnotesize\baselineskip15H
  \risee@shortstack[l]{%
   九州大学大学院\\
   システム情報科学紀要\\
   第\@Vol 巻\hskip1zw 第\@No 号\hskip1zw 平成\head@heisei 年\hold@Month 月}}%
}
\def\E@headinfo{%
 \footnotesize\baselineskip14\@Q
 \setbox0\hbox{Research Reports on Information Science and}%
 \risee@shortstack[r]{%
  Research Reports on Information Science and\\
  \makebox[\wd0]{%
   Electrical\hfill Engineering\hfill of\hfill Kyushu\hfill University}\\
  Vol.\@Vol, No.\@No, \@Month\ \@Year}%
}

\def\ps@riseej{%\let\ps@jpl@in\ps@headnombre
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
 \def\@oddhead{\@Ltop\head@underline\hfil
  {\head@title}\hfil\llap{\nombre@font --\,\thepage\,--}\@Rtop}%
 \def\@evenhead{\@Ltop\head@underline
  \rlap{\nombre@font --\,\thepage\,--}\hfil \hold@head@authors\hfil\@Rtop}%
 \let\@mkboth\markboth
}

\def\chk@headlength#1{%
 \setbox\@tempboxa\hbox{\def\\{\unskip\ignorespaces}%
  \head@font #1}%
 \ifdim \wd\@tempboxa > 142mm
  \risee@warning{header is too long. make it shorter. 
  ^^J\@spaces For example, \string\title[header title]{title}}%
 \fi
}

\def\title{\@ifnextchar[% ]
 {\d@title}{\s@title}}
\def\d@title[#1]#2{%
 \gdef\head@title{\let\\\relax
  \inhibitglue #1\inhibitglue}\chk@headlength{#1}%
 \gdef\@title{\inhibitglue #2\inhibitglue}}
\def\s@title#1{%
 \gdef\head@title{\def\\{\unskip\ignorespaces}%
  #1}\chk@headlength{#1}\gdef\@title{\inhibitglue #1\inhibitglue}}
\def\@title{}
\def\head@title{}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
\newcount\total@nr

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist
}

%%\authorentry[Z.J.]{Zi-Jiang Yang}{label}
%% Z.J. YANG on right header
\def\authorentry{\@ifnextchar[% ]
 {\@ae}{\@ae[]}}

\def\@ae[#1]#2#3{%
 \def\tmp@an{#2}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  %% author label
  \get@al{#3}%
  %% author's names on header
  \def\tmp@initial{#1}%
  \@temptokena{#2}%
  \ifx\tmp@initial\empty
   \chk@name{#2}%
   \def\tmp@name##1 ##2\@nil{\get@oneword. \protect\uppercase{##2}}%
  \else
   \def\tmp@name##1 ##2\@nil{\tmp@initial\ \protect\uppercase{##2}}%
  \fi
  \protected@edef\fmt@headauthor{%
   \expandafter\tmp@name\the\@temptokena\@nil}%
  \expandafter\protected@xdef\csname @Hauthorname\number\@authorcnt\endcsname{%
   \fmt@headauthor}%
  %% author's name in English
  \@temptokena{#2}%
  \def\tmp@name##1 ##2\@nil{##1 \protect\uppercase{##2}}%
  \protected@edef\fmt@authorname{%
    \expandafter\tmp@name\the\@temptokena\@nil}%
  \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
   \fmt@authorname\unskip\kern\z@\plural@affi}%
  \global\total@nr\@authorcnt
  \def\plural@affi{}%
 \fi
}

\def\name@expandafter#1#2{%
 \def\next{#1}%
 \edef\@tempa{#2}%
 \ifx\@tempa\@empty
  \risee@warning{author's name is empty!}%
  \def\@tempa{\@empty}%
 \fi
 \expandafter\next\@tempa}
\def\chk@name#1{%
 \name@expandafter\@chk@name{#1}\@nil}
\def\@chk@name#1#2\@nil{\def\get@oneword{#1}}

\def\output@Hauthorlist{%
 \@authorcnt\z@
 \@tempcnta\total@nr \advance \@tempcnta -\@ne
  \loop
   \ifnum \@authorcnt < \total@nr
    \advance \@authorcnt \@ne 
    \ifnum \@authorcnt < \@tempcnta
     \ignorespaces
     \mbox{\csname @Hauthorname\number\@authorcnt\endcsname\unskip}, 
     \csname @breakauthorline\number\@authorcnt\endcsname
    \else
     \ifnum \@authorcnt=\total@nr
      \ignorespaces
      \mbox{\csname @Hauthorname\number\@authorcnt\endcsname\unskip}%
      \csname @breakauthorline\number\@authorcnt\endcsname
      \ignorespaces
     \else
      \ignorespaces
      \mbox{\csname @Hauthorname\number\@authorcnt\endcsname\unskip}\ 
      \csname @breakauthorline\number\@authorcnt\endcsname
      %% \ifnum \total@nr=\tw@\ \else , \fi
      and\ \ignorespaces 
     \fi
    \fi
  \repeat
}

\def\get@al#1{%
 \def\al@none{none}\def\@tempaffi{#1}%
 \ifx\al@none\@tempaffi\else
  \@for\get@label:=#1\do{%
   \@ifundefined{al@\get@label}%
    {%
     \global\advance \@alcnt \@ne
     \expandafter\xdef\csname al@\get@label\endcsname{\the\@alcnt}%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\risee@fnsymbol{\csname al@\get@label\endcsname}}$%
      \else
       $^{,\risee@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
    {%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\risee@fnsymbol{\csname al@\get@label\endcsname}}$%
      \else
       $^{,\risee@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
  }%
 \fi
}
\def\plural@affi{}

\newcount\chk@alcnt
\def\affiliate[#1]#2{%
 \advance \chk@alcnt \@ne
 \@ifundefined{al@#1}%
  {\expandafter\def\csname al@#1\endcsname{1}%
   \risee@warning{Check the "#1" label, it does not correspond to
     ^^J\@spaces any labels in \string\authorentry\space command}%
  }{}%
 \let\@fnsymbol\risee@fnsymbol
 \protected@xdef\@affiliate{%
  \@affiliate
  \protect\footnotetext[\csname al@#1\endcsname]{#2}}%
}
\def\@affiliate{}

\def\breakauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @breakauthorline\@breakauthor\endcsname{\\}%
 }%
  \@authorcnt=\z@
  \loop\ifnum\@authorcnt<\total@nr
   \advance \@authorcnt \@ne
    \@ifundefined{@breakauthorline\number\@authorcnt}%
     {\expandafter\gdef\csname @breakauthorline\number\@authorcnt\endcsname{%
      \relax}}
     {\relax}%
  \repeat
}

\def\output@Eauthorlist{%
 \@authorcnt\z@
 \@tempcnta\total@nr \advance \@tempcnta -\@ne
  \loop
   \ifnum \@authorcnt < \total@nr
    \advance \@authorcnt \@ne 
    \ifnum \@authorcnt < \@tempcnta
     \ignorespaces
     \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}, 
     \csname @breakauthorline\number\@authorcnt\endcsname
    \else
     \ifnum \@authorcnt=\total@nr
      \ignorespaces
      \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}%
      \csname @breakauthorline\number\@authorcnt\endcsname
      \ignorespaces
     \else
      \ignorespaces
      \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}\ 
      \csname @breakauthorline\number\@authorcnt\endcsname
      %% \ifnum \total@nr=\tw@\ \else , \fi
      and\ \ignorespaces 
     \fi
    \fi
  \repeat
}

\def\@acceptance{\par
 \ifx \@received\empty\else
  \ifx\@revised\empty
   (\@received)\par
  \else
   (\@received\unskip, \@revised\unskip)\par
  \fi
 \fi
}

\def\received#1#2#3{%
 \def\tmp@m{#2}%
 \ifx\tmp@m\empty\def\tmp@m{0}\fi
 \edef\rec@month{%
  \ifcase\tmp@m xxx\or January\or February\or March\or April\or
    May\or June\or July\or August\or September\or October\or
    November\or December\else\@ctrerr\fi}%
 \gdef\@received{Received \rec@month\ #3, #1}%
}
\def\@received{}

\def\revised#1#2#3{%
 \def\tmp@m{#2}%
 \ifx\tmp@m\empty\def\tmp@m{0}\fi
 \edef\rev@month{%
  \ifcase\tmp@m xxx\or January\or February\or March\or April\or
    May\or June\or July\or August\or September\or October\or
    November\or December\else\@ctrerr\fi}%
 \gdef\@revised{Revised \rev@month\ #3, #1}%
}
\def\@revised{}

\newbox\@abstractbox
\def\abstract{%
 \global\setbox\@abstractbox\hbox\bgroup
  \begin{minipage}{148.5mm}% 11Q x 54w
   \small\baselineskip17\@Q
   {\bfseries \abstractname}%
   \ignorespaces
}
\def\endabstract{%
   \unskip\inhibitglue
  \end{minipage}%
 \egroup
}

\newbox\@keywordbox
\def\keywords{%
 \global\setbox\@keywordbox\hbox\bgroup
  \begin{minipage}{148.5mm}% 11Q x 54w
   \small\baselineskip17\@Q
   {\bfseries \keywordname}%
   \ignorespaces
}
\def\endkeywords{%
   \unskip\inhibitglue
  \end{minipage}%
 \egroup
}

\def\headauthors#1{\gdef\hold@head@authors{#1}}
\def\hold@head@authors{}

\newcommand{\maketitle}{\par
 \headauthors{\output@Hauthorlist}%
 \begingroup
  \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
  \def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
  \ifnum\@alcnt<\thr@@
   \long\def\@makefntext##1{%
    \hangindent1em
    \noindent
    \hbox to 1em{\hss$\m@th^{\@thefnmark}$}##1}%
  \else
   \long\def\@makefntext##1{%
    \hangindent1.5em
    \noindent
    \hbox to 1.5em{\hss$\m@th^{\@thefnmark}$}##1}%
  \fi
  %%
  \twocolumn[\@maketitle]%
  \thispagestyle{RISEEJ}%
  \@affiliate
 \endgroup
 \setcounter{footnote}{0}%
 \global\let\maketitle\relax
 \global\let\@title\@empty
 \global\let\title\relax
 \global\let\received\relax
 \global\let\@authorlist\relax
 \global\let\affiliate\relax
 \global\let\output@Eauthorlist\relax
 \global\let\@affiliate\@empty
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
   \global\expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname
    \@empty
 \repeat
}

\def\title@font{\large\bfseries}
\def\eauthor@font{%
 \normalfont\fontsize{10.95}{20\@Q}\selectfont
}

\def\@maketitle{%
 \setbox\@tempboxa\vbox{\hsize\textwidth
  \parindent\z@
  \centering
  \bgroup
   {\title@font\@title\par}%
  \egroup
  \vskip.75\Cvs
  \bgroup
   {\eauthor@font \output@Eauthorlist\par}%
  \egroup
  \vskip.5\Cvs
  \@acceptance
  \vskip2\Cvs
  \leavevmode
  \box\@abstractbox\par
  \vskip.5\Cvs
  \leavevmode
  \box\@keywordbox
 }%
 %%
 \@tempdima \ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \@tempdimb \@tempdima
 \@tempdimc \@tempdima
 \divide \@tempdimc \Cvs
 \@tempcnta=\@tempdimc
 \advance \@tempcnta \@ne
 %%
 \@tempdimc \@tempcnta\Cvs
 \advance \@tempdimb -\@tempdimc
 \ifdim \@tempdimb > .5\Cvs
  \advance \@tempcnta \@ne
 \else
  \advance \@tempcnta \z@
 \fi
 \advance \@tempcnta \@ne
 %%
 \newpage\null
 \bgroup
  \parindent\z@
  \boxmaxdepth\z@
  \lineskiplimit\z@
  \lineskip\z@
  \vbox to \@tempcnta\Cvs{%
   \box\@tempboxa
  \vss}%
 \egroup
}

\setcounter{secnumdepth}{5}
%\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
%\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty \z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
  \par \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
  \if@nobreak
   \everypar{}%
  \else
   \ifnum#2=\tw@ %% 2(pagetop=1)/*/1 or 1.5(pagetop=0.5)/*/0.5
    \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
    \advance\@tempskipa-\Cvs
    \advance\@tempskipa-\Cvs
    \vspace{\Cvs}
    \vspace*{\@tempskipa}
   \else
    \ifnum#2=\@ne %% 1/*/1 or 0.5/*/0.5
     \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
     \advance\@tempskipa-\Cvs
     \vspace*{\@tempskipa}
    \else
     \addvspace\@tempskipa
    \fi
   \fi
  \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\@seccntformat{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
        \@svsec #8}%
   %\csname #1mark\endcsname{#7}%
   %\addcontentsline{toc}{#1}{%
   %  \ifnum #2>\c@secnumdepth \else
   %    \protect\numberline{\csname the#1\endcsname}%
   %  \fi
   % #7}
   }%
  \else
   \begingroup
    #6{%
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty\@M #8\@@par}%
   \endgroup
   %\csname #1mark\endcsname{#7}%
   %\addcontentsline{toc}{#1}{%
   %  \ifnum #2>\c@secnumdepth \else
   %   \protect\numberline{\csname the#1\endcsname}%
   %    \fi
   %#7}%
  \fi
  \@xsect{#5}%
}

%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{#4{\hskip #1\relax #5}}%
  \else
    \begingroup
     #4{%
       \if@bibliography
        \noindent\hfil
       \else
        \@hangfrom{\hskip #1}\interlinepenalty\@M
       \fi
       #5\@@par
       }%
    \endgroup
  \fi
  \@xsect{#3}%
}

%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
        \pagebreak[2]%
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

\def\@seccntformat#1{\csname the#1\endcsname
 \csname dotafter@#1\endcsname\hskip1em}
\def\dotafter@section{.}

\def\sec@font{\bfseries %}{
 \fontsize{15.5\@Q}{\Cvs}\selectfont\mathversion{bold}}

\newcommand{\section}{\@startsection{section}{1}{\parindent}%
   {.6\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {.4\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\reset@font\sec@font}}
\newcommand{\subsection}{\@startsection{subsection}{2}{1em}%
   {\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus\z@}%
   {\reset@font\small\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{1em}%
   {\z@ \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus\z@}%
   {\reset@font\small\bfseries}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{1em}%
   {\z@ \@plus.5\Cvs \@minus\z@}%
   {-1em}%
   {\reset@font\small\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{1em}%
   {\z@ \@plus.5\Cvs \@minus\z@}%
   {-1em}%
   {\reset@font\small}}

\newcommand{\appendix}{\par
 \setcounter{section}{0}%
 \setcounter{subsection}{0}%
 \renewcommand{\thesection}{A.\@arabic\c@section}
 \renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}
 \renewcommand{\thesubsubsection}{\thesubsection.\@arabic\c@subsubsection}
 \setcounter{equation}{0}%
 \renewcommand{\theequation}{A.\@arabic\c@equation}% \@Alph\c@section
 \setcounter{figure}{0}%
 \setcounter{table}{0}%
 \def\fnum@figure{\figurename\,A.\thefigure}%
 \def\fnum@table{\tablename~A.\thetable}
}

\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}

\@beginparpenalty\z@ % -\@lowpenalty
\@endparpenalty\z@ %   -\@lowpenalty
\@itempenalty\z@ %     -\@lowpenalty

\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{(\theenumi)}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{(\theenumiii)}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >3\relax\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \ifnum \@enumdepth=\@ne
          \settowidth{\labelwidth}{\csname label\@enumctr\endcsname}%
         \else
          \ifnum \@enumdepth=\tw@
           \settowidth{\labelwidth}{(a)}%
          \else
           \settowidth{\labelwidth}{(iii)}%
          \fi
         \fi
         \labelsep.5em
         \leftmargin\labelwidth
         \advance\leftmargin \labelsep
         \listparindent\z@
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \listparindent1em
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\small}

\def\@verbatim{%
 \interlinepenalty\z@
 \topsep\z@ %.5\baselineskip
 \parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
   %\vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}
%\def\verbatim@font{\normalfont\ttfamily}

%% from latex.ltx
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\z@ % \@M --> \z@ 
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces\inhibitglue
}

%\renewcommand \theequation {\@arabic\c@equation}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\,\thefigure}
\newenvironment{figure}
               {\floatenv\capwidth75mm
                \abovecaptionskip1mm\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}% 
               {\floatenv\capwidth160mm
                \abovecaptionskip1mm\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\floatenv\capwidth75mm
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\floatenv\capwidth160mm
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip

\def\@floatboxreset {%
 \reset@font
 \footnotesize\tabcolsep.5em
 \@setminipage
}

\def\Center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\def\endCenter{\endtrivlist}

\def\floatenv{\let\center\Center}

\long\def\@caption#1[#2]#3{\par
 %\addcontentsline{\csname ext@#1\endcsname}{#1}%
 % {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \footnotesize
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newbox\@tempboxb
\newdimen\capwidth
\let\capnum@font\bfseries

\long\def\@makecaption#1#2{%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\capnum@font #1}\hskip1em\risee@shortstack[l]{#2}}%
 \@tempdima=\ht\@tempboxa\advance \@tempdima by \dp\@tempboxa
 \setbox\@tempboxb\hbox{\capnum@font #1\hskip1em}%
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1em #2}\par
    \hrule height \z@
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1em #2}\par
    \hrule height \z@
  \fi
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1em #2}\par
    \hrule height \z@
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
 \vspace{\belowcaptionskip}%
}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}

\@ifundefined{mathmc}{}{%
 \if@enablejfam
  \if@compatibility\else
    \DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
    \DeclareSymbolFontAlphabet{\mathmc}{mincho}
    \SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
    \jfam\symmincho
    \DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
  \fi
  \if@mathrmmc
    \AtBeginDocument{%
    \reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}
    \reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}
  }%
  \fi
 \else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
 \fi
}

\@ifundefined{mathmc}{\relax}{%
 \DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}%
 \DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}%
}

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

\newif\if@bibliography \@bibliographyfalse

\def\acknowledgments{%
 \@bibliographytrue
 \section*{Acknowledgments}%
}

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
 {\@bibliographytrue
  \section*{\refname}%
  \footnotesize\baselineskip16\@Q
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \leftmargin\labelwidth
         \advance\leftmargin\labelsep
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty\z@
   \@clubpenalty\clubpenalty
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
\let\@openbib@code\@empty

\def\@biblabel#1{%(
 #1)}

\def\lastpagebalanced#1{%
 \begin{figure}[b]
 \leavevmode
 \hbox to \hsize{\hbox to \textwidth{\hss
  \uwave{\hspace*{126mm}}\hss}\hss}%
 \vspace{#1}
 \end{figure}
}

\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule \@width\columnwidth
  \kern2.6\p@}

\let\org@footnote\footnote
\def\footnote{\unskip\inhibitglue\penalty\@M\org@footnote}

\def\@makefnmark{%
 \hbox{\@textsuperscript{\normalfont $\ast$\kern0pt\@thefnmark}}%
}%

\newcommand\@makefntext[1]{%
 \leftskip1.1em
 \mathindent2.1em
 \parindent1em
 \noindent
 \hbox to \z@{\hss \@makefnmark\,}#1}

\def\risee@fnsymbol#1{\ensuremath{%
 \ifcase#1\or
  {*}\or {*}{*}\or {*}{*}{*}\or
  {\dagger}\or {\dagger}{\dagger}\or {\dagger}{\dagger}{\dagger}\or
  {\ddagger}\or {\ddagger}{\ddagger}\or {\ddagger}{\ddagger}{\ddagger}\or
  a\or b\or c\or d\or e\or f\or g\or h\or i\or j\or k\or l\or m\or n%
 \else\@ctrerr\fi}%
}

\renewcommand{\theequation}{\@arabic\c@equation}

%% from fleqn.clo
%%   /usr/local/teTeX/share/texmf/tex/latex/base/fleqn.clo
\ProvidesFile{fleqn.clo}
        [1998/08/17 v1.1c Standard LaTeX option
                                   (flush left equations)]
\newdimen\mathindent
\AtEndOfClass{\mathindent\parindent}
\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \@InListEnv
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \@InListEnv
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \@InListEnv
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hskip.8\arraycolsep \hfil${##}$\hfil&%
      \global\@eqcnt\tw@ \hskip.8\arraycolsep
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }

%\def\@eqnnum{{\normalfont \normalcolor (\theequation)}}

\def\@InListEnv{%
 \ifdim\topsep=\z@
  \@listi
 \fi
}

%\newcommand\contentsname{Contents}
%\newcommand\listfigurename{List of Figures}
%\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
%\newcommand\indexname{Index}
\newcommand\figurename{Fig.}
\newcommand\tablename{Table}
%\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand{\abstractname}{Abstract:\ }
\newcommand{\keywordname}{Keywords:\ }

\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}

%% citesort.sty
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else \edef\@h@ld{\ifmmode{-}\else--\fi\csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
\def\@citea{,\penalty\@highpenalty\,}}\@h@ld}{#1}}

%% from "cite.sty", with a little modified
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  \kern\z@
  \smash{%
   $^{\mbox{\tiny {\multiply\@highpenalty 3 #1%  % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note. %(
    })}}$}\spacefactor\@m}
%% end of cite.sty

\let\org@cite\@cite
\def\cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\org@cite\@citex}
 {\@tempswafalse\let\@cite\org@cite\@citex[]}}
\def\Cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\@Cite\@citex}
 {\@tempswafalse\let\@cite\@Cite\@citex[]}}

\def\@Cite#1#2{\leavevmode %% \unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  {\multiply\@highpenalty 3 #1%             % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })\spacefactor\@m}

\def\figref#1{{\bfseries Fig.\,\ref{#1}}}
\def\tabref#1{{\bfseries Table~\ref{#1}}}

\def\onelineskip{\par\vspace{1\baselineskip}\par}
\def\halflineskip{\par\vspace{.5\baselineskip}\par}

\def\ddash{\hbox to 2em{---\hss ---}}%

\def\MARU#1{%
 {\ooalign{\hfil\lower.168ex\hbox{#1}\hfil\crcr\mathhexbox20D}}}

\def\RN#1{\uppercase\expandafter{\romannumeral#1}}

\def\QED{{\unskip\nobreak\hfil\penalty50
 \hskip1em\hbox{}\nobreak\hfil \hbox{$\Box$\hskip1em}
 \parfillskip\z@ \finalhyphendemerits\z@\par}}

\@ifundefined{@needsPformat}{}{%
 \postbreakpenalty"5C=10000 %%"
}

\def\sloppy{\tolerance9999\hbadness4000\hfuzz1\p@ \vfuzz1\p@}
\hbadness4000
\vbadness10001
\tolerance4000\pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@

\AtBeginDocument{%
 \small
 %% for ams
 \displaywidowpenalty\z@
 \interdisplaylinepenalty\z@
 \predisplaypenalty\z@
 \postdisplaypenalty\z@
 %% for mathmargin
 \@ifundefined{@mathmargin}{}{\@mathmargin\mathindent}%
 %% cmex7,8,9 --> void
 \@ifundefined{cmex@opt}{%
  \DeclareFontFamily{OMX}{cmex}{}{}%
  \DeclareFontShape{OMX}{cmex}{m}{n}{%
   <->    cmex10
  }{}%
 }{%
  \ifnum\cmex@opt=7\relax
   \DeclareFontFamily{OMX}{cmex}{}{}%
   \DeclareFontShape{OMX}{cmex}{m}{n}{%
    <->    cmex10
   }{}%
  \fi
 }%
 \@ifundefined{dblbotfraction}{}{%
  \renewcommand\dblbotfraction{0.9}% 0.5
  \setcounter{dblbotnumber}{4}% 2
 }%
 %% here.sty
 \@ifundefined{@HHfloat}{}{%
  \def\@HHfloat#1[H]{%
   \expandafter\let\csname end#1\endcsname\end@Hfloat
   \vskip\intextsep
   \vbox\bgroup\def\@captype{#1}\parindent\z@
   \@floatboxreset %% added
   \ignorespaces}%
  \def\end@Hfloat{\egroup\vskip-1em %% added
   \vskip \intextsep}%
 }%
}

\pagestyle{riseej}
%\pagestyle{plain}
%\pagestyle{empty}
\pagenumbering{arabic}
\if@twoside
\else
 \raggedbottom
\fi
\if@twocolumn
 \twocolumn
 \sloppy
 %\flushbottom
 \raggedbottom
\else
  \onecolumn
\fi

\endinput
